#include "mbed.h"

//------------------------------------
// Hyperterminal configuration
// 9600 bauds, 8-bit data, no parity
// LATHE
//------------------------------------

Serial lathe_uart(PB_6, PA_10);
DigitalIn fast(PC_10);
DigitalIn slow(PC_12);
InterruptIn blue(USER_BUTTON);
DigitalOut led2(LED2);

void sendSerial(void){
    if(lathe_uart.writeable()) {
        if(slow == 1){
            lathe_uart.printf("0,1,10,5; "); //enable, direction, period, pulsewidth
            wait_ms(10);   // lag to debounce the button
        }
        else{
            
            lathe_uart.printf("0,1,800,400; "); //enable, direction, period, pulsewidth
            wait_ms(10);   // lag to debounce the button
        }
    }
    else{
        led2 = 1;
        }
}


int main()
{
    blue.fall(callback(sendSerial));
    while(1){}
}


